# Class OBBViewportTransform

java.lang.Object
com.codename1.gaming.physics.box2d.common.OBBViewportTransform

All Implemented Interfaces:
  `IViewportTransform`

public class OBBViewportTransform extends Object implements IViewportTransform

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OBBViewportTransform.OBB`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final OBBViewportTransform.OBB`
  `box`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OBBViewportTransform()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Vec2`
  `getCenter()`
  `Vec2`
  `getExtents()`
  `void`
  `getScreenToWorld(Vec2 argScreen, Vec2 argWorld)`
  `void`
  `getScreenVectorToWorld(Vec2 argScreen, Vec2 argWorld)`
  `Mat22`
  `getTransform()`
  `void`
  `getWorldToScreen(Vec2 argWorld, Vec2 argScreen)`
  `void`
  `getWorldVectorToScreen(Vec2 argWorld, Vec2 argScreen)`
  `boolean`
  `isYFlip()`
  `void`
  `mulByTransform(Mat22 argTransform)`
  `void`
  `set(OBBViewportTransform vpt)`
  `void`
  `setCamera(float x, float y, float scale)`
  `void`
  `setCenter(float x, float y)`
  `void`
  `setCenter(Vec2 argPos)`
  `void`
  `setExtents(float argHalfWidth, float argHalfHeight)`
  `void`
  `setExtents(Vec2 argExtents)`
  `void`
  `setTransform(Mat22 transform)`
  `void`
  `setYFlip(boolean yFlip)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### box

    protected final OBBViewportTransform.OBB box

- ## Constructor Details

  - ### OBBViewportTransform

    public OBBViewportTransform()

- ## Method Details

  - ### set

    public void set(OBBViewportTransform vpt)

  - ### setCamera

    public void setCamera(float x, float y, float scale)
    Specified by:
      `setCamera` in interface `IViewportTransform`

  - ### getExtents

    public Vec2 getExtents()
    Specified by:
      `getExtents` in interface `IViewportTransform`

  - ### setExtents

    public void setExtents(Vec2 argExtents)
    Specified by:
      `setExtents` in interface `IViewportTransform`

  - ### setExtents

    public void setExtents(float argHalfWidth, float argHalfHeight)
    Specified by:
      `setExtents` in interface `IViewportTransform`

  - ### getCenter

    public Vec2 getCenter()
    Specified by:
      `getCenter` in interface `IViewportTransform`

  - ### setCenter

    public void setCenter(Vec2 argPos)
    Specified by:
      `setCenter` in interface `IViewportTransform`

  - ### setCenter

    public void setCenter(float x, float y)
    Specified by:
      `setCenter` in interface `IViewportTransform`

  - ### getTransform

    public Mat22 getTransform()

  - ### setTransform

    public void setTransform(Mat22 transform)

  - ### mulByTransform

    public void mulByTransform(Mat22 argTransform)

  - ### isYFlip

    public boolean isYFlip()
    Specified by:
      `isYFlip` in interface `IViewportTransform`

  - ### setYFlip

    public void setYFlip(boolean yFlip)
    Specified by:
      `setYFlip` in interface `IViewportTransform`

  - ### getScreenVectorToWorld

    public void getScreenVectorToWorld(Vec2 argScreen, Vec2 argWorld)
    Specified by:
      `getScreenVectorToWorld` in interface `IViewportTransform`

  - ### getWorldVectorToScreen

    public void getWorldVectorToScreen(Vec2 argWorld, Vec2 argScreen)
    Specified by:
      `getWorldVectorToScreen` in interface `IViewportTransform`

  - ### getWorldToScreen

    public void getWorldToScreen(Vec2 argWorld, Vec2 argScreen)
    Specified by:
      `getWorldToScreen` in interface `IViewportTransform`

  - ### getScreenToWorld

    public void getScreenToWorld(Vec2 argScreen, Vec2 argWorld)
    Specified by:
      `getScreenToWorld` in interface `IViewportTransform`